# NWChem HF optimisation

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")


nwchem = NWChem(frag=water, method="hf", basis="3-21g")

opt = Opt(theory=nwchem,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result
eref = -75.58595974


testutils.validate(ecalc, eref)
